"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gluegun_1 = require("gluegun");
const environment_1 = require("../environment");
const utils_1 = require("../utils");
function createCommand(command) {
    return {
        ...command,
        async run(toolbox) {
            gluegun_1.print.info(`${utils_1.strawHatPackage.name}: ${gluegun_1.print.colors.success(`v${utils_1.strawHatPackage.version}`)}`);
            gluegun_1.print.info(`Running on CI: ${gluegun_1.print.colors.success(`${environment_1.isCI}`)}`);
            environment_1.setupEnv(command.env);
            toolbox.strawHat = {
                config: environment_1.strawHatConfigFactory({
                    env: command.env,
                }),
            };
            await command.run(toolbox);
        },
    };
}
exports.createCommand = createCommand;
//# sourceMappingURL=command.js.map