"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.noop = () => undefined;
exports.ensureSlash = (needsSlash) => (path) => {
    const hasSlash = path.endsWith('/');
    if (hasSlash && !needsSlash) {
        return path.substr(0, path.length - 1);
    }
    return !hasSlash && needsSlash ? `${path}/` : path;
};
exports.withSlash = exports.ensureSlash(true);
exports.withoutSlash = exports.ensureSlash(false);
exports.strawHatPackage = require('../package');
//# sourceMappingURL=utils.js.map