"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
exports.images = utils_1.createMiddleware(neutrino => {
    // "url" loader works like "file" loader except that it embeds assets
    // smaller than specified limit in bytes as data URLs to avoid requests.
    // A missing `test` is equivalent to a match.
    neutrino.config.module
        .rule('compile')
        .oneOf('images')
        .test(/\.(bmp|gif|jpe?g|png)$/)
        .use('url')
        .loader(require.resolve('url-loader'))
        .options({
        limit: 10000,
        name: `static/media/[name].[ext]`,
    });
    return neutrino;
});
//# sourceMappingURL=images.js.map