"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
exports.assets = utils_1.createMiddleware(neutrino => {
    // "file" loader makes sure those assets get served by WebpackDevServer.
    // When you `import` an asset, you get its (virtual) filename.
    // In production, they would get copied to the `build` folder.
    // This loader doesn't use a "test" so it will catch all modules
    // that fall through the other loaders.
    neutrino.config.module
        .rule('compile')
        .oneOf('assets')
        // Exclude `js` files to keep "css" loader working as it injects
        // its runtime that would otherwise be processed through "file" loader.
        // Also exclude `html` and `json` extensions so they get processed
        // by Webpack internal loaders.
        .exclude.add(/\.(js|mjs|jsx|ts|tsx|html|json)$/)
        .end()
        .use('file')
        .loader(require.resolve('file-loader'))
        .options({
        name: `static/media/[name].[ext]`,
    });
    return neutrino;
});
//# sourceMappingURL=index.js.map