"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ModuleScopePlugin_1 = __importDefault(require("react-dev-utils/ModuleScopePlugin"));
const utils_1 = require("../../utils");
exports.moduleScope = utils_1.createMiddlewareFactory(options => neutrino => {
    neutrino.config.resolve
        // Prevents users from importing files from outside of src/ (or node_modules/).
        // This often causes confusion because we only process files within src/ with babel.
        // To fix this, we prevent you from importing files out of src/ -- if you'd like to,
        // please link the files into your node_modules/ and let module-resolution kick in.
        // Make sure your source files are compiled, as they will not be processed in any way.
        .plugin('moduleScope')
        .use(ModuleScopePlugin_1.default, [options.srcPath, [options.packagePath]]);
    return neutrino;
});
//# sourceMappingURL=moduleScope.js.map