"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_1 = __importDefault(require("webpack"));
const environment_1 = require("../../../environment");
const utils_1 = require("../utils");
exports.envVariables = utils_1.createMiddlewareFactory(options => neutrino => {
    // Makes some environment variables available to the JS code, for example:
    // if (process.env.NODE_ENV === 'production') { ... }.
    // It is absolutely essential that NODE_ENV is set to production
    // during a production build.
    // Otherwise React will be compiled in the very slow development mode.
    neutrino.config
        .plugin('envVariables')
        .use(webpack_1.default.DefinePlugin, [environment_1.stringifyEnvironment(options.envVariables)]);
    return neutrino;
});
//# sourceMappingURL=envVariables.js.map