"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const html_webpack_plugin_1 = __importDefault(require("html-webpack-plugin"));
const ramda_1 = require("ramda");
const utils_1 = require("../../utils");
const inlineChunkHtml_1 = require("./inlineChunkHtml");
const interpolateHtml_1 = require("./interpolateHtml");
exports.htmlPlugin = utils_1.createMiddlewareFactory(options => {
    const config = utils_1.production(options)
        ? {
            minify: {
                collapseWhitespace: true,
                keepClosingSlash: true,
                minifyCSS: true,
                minifyJS: true,
                minifyURLs: true,
                removeComments: true,
                removeEmptyAttributes: true,
                removeRedundantAttributes: true,
                removeStyleLinkTypeAttributes: true,
                useShortDoctype: true,
            },
        }
        : {};
    return neutrino => {
        neutrino.config.plugin('html').use(html_webpack_plugin_1.default, [
            {
                inject: true,
                template: options.htmlPath,
                ...config,
            },
        ]);
        return neutrino;
    };
});
exports.html = utils_1.createMiddlewareFactory(opts => {
    const options = {
        envVariables: {},
        inlineRuntimeChunk: true,
        ...opts,
    };
    return ramda_1.compose(interpolateHtml_1.interpolateHtml(options), inlineChunkHtml_1.inlineChunkHtml(options), exports.htmlPlugin(options));
});
//# sourceMappingURL=index.js.map