"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const html_webpack_plugin_1 = __importDefault(require("html-webpack-plugin"));
const utils_1 = require("../../utils");
exports.interpolateHtml = utils_1.createMiddlewareFactory(options => neutrino => {
    // Makes some environment variables available in index.html.
    // The public URL is available as %PUBLIC_URL% in index.html, e.g.:
    // <link rel="shortcut icon" href="%PUBLIC_URL%/favicon.ico">
    // In production, it will be an empty string unless you specify "homepage"
    // in `package.json`, in which case it will be the pathname of that URL.
    // In development, this will be an empty string.
    neutrino.config
        .plugin('interpolateHtml')
        .use(require.resolve('react-dev-utils/InterpolateHtmlPlugin'), [
        html_webpack_plugin_1.default,
        options.envVariables,
    ]);
    return neutrino;
});
//# sourceMappingURL=interpolateHtml.js.map