"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_1 = __importDefault(require("webpack"));
const utils_1 = require("../utils");
exports.ignoreMoment = utils_1.createMiddleware(neutrino => {
    // Moment.js is an extremely popular library that bundles large locale files
    // by default due to how Webpack interprets its code. This is a practical
    // solution that requires the user to opt into importing specific locales.
    // https://github.com/jmblog/how-to-optimize-momentjs-with-webpack
    // You can remove this if you don't use Moment.js:
    neutrino.config
        .plugin('ignoreMoment')
        .use(webpack_1.default.IgnorePlugin, [/^\.\/locale$/, /moment$/]);
    return neutrino;
});
//# sourceMappingURL=ignoreMoment.js.map