"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const assets_1 = require("./assets");
const images_1 = require("./assets/images");
const devTools_1 = require("./devTools");
const html_1 = require("./html");
const javaScript_1 = require("./javaScript");
const javaScriptDeps_1 = require("./javaScript/javaScriptDeps");
const optimization_1 = require("./optimization");
const pnp_1 = require("./pnp");
const project_1 = require("./project");
const pwa_1 = require("./pwa");
const styles_1 = require("./styles");
exports.general = utils_1.createMiddlewareFactory(opts => {
    const options = {
        envVariables: {},
        generateSourceMap: true,
        inlineRuntimeChunk: true,
        ...opts,
    };
    return neutrino => {
        neutrino.use(project_1.project(options));
        neutrino.use(pwa_1.pwa(options));
        neutrino.use(devTools_1.devTools(options));
        neutrino.use(optimization_1.optimization(options));
        neutrino.use(pnp_1.pnp);
        neutrino.use(html_1.html(options));
        neutrino.use(javaScript_1.javaScript(options));
        neutrino.use(javaScriptDeps_1.javaScriptDeps(options));
        neutrino.use(images_1.images);
        neutrino.use(styles_1.styles(options));
        // THIS MOST BE THE LAST PRESET
        neutrino.use(assets_1.assets);
        return neutrino;
    };
});
//# sourceMappingURL=index.js.map