"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const config_1 = require("../../../../babel/config");
const utils_1 = require("../../utils");
const sourceMap_1 = require("./sourceMap");
const tenser_1 = require("./tenser");
const babel = utils_1.createMiddlewareFactory(options => neutrino => {
    neutrino.config.module
        .rule('compile')
        .oneOf('javascript')
        .test(/\.(js|mjs|jsx|ts|tsx|json)$/)
        .include.add(neutrino.options.source)
        .end()
        .use('babel')
        .loader(require.resolve('babel-loader'))
        .options(config_1.createConfigForReact(options));
    return neutrino;
});
exports.javaScript = utils_1.createMiddlewareFactory(opts => {
    const options = {
        generateSourceMap: true,
        ...opts,
    };
    return ramda_1.compose(sourceMap_1.javaScriptSourceMap(options), tenser_1.tenser(options), babel(options));
});
//# sourceMappingURL=index.js.map