"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../../../../babel/config");
const utils_1 = require("../../utils");
exports.javaScriptDeps = utils_1.createMiddlewareFactory(options => neutrino => {
    // Process any JS outside of the app with Babel.
    // Unlike the application JS, we only compile the standard ES features.
    neutrino.config.module
        .rule('compile')
        .oneOf('javascriptDeps')
        .test(/\.(js|mjs)$/)
        .exclude.add(/@babel(?:\/|\\{1,2})runtime/)
        .end()
        .use('babel')
        .loader(require.resolve('babel-loader'))
        .options(config_1.createConfigForDependencies(options));
    return neutrino;
});
//# sourceMappingURL=javaScriptDeps.js.map