"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const ramda_1 = require("ramda");
const webpack_1 = __importDefault(require("webpack"));
const utils_1 = require("../../utils");
exports.sourceMapPlugin = utils_1.createMiddlewareFactory(options => neutrino => {
    neutrino.config
        .plugin('javaScriptSourceMap')
        .use(webpack_1.default.SourceMapDevToolPlugin, [
        {
            append: '\n//# sourceMappingURL=[url]',
            exclude: [/node_modules\/*/],
            filename: `sourcemaps/[file].map`,
            // Point sourcemap entries to original disk location (format as URL on Windows)
            moduleFilenameTemplate: (info) => path
                .relative(options.srcPath, info.absoluteResourcePath)
                .replace(/\\/g, '/'),
            publicPath: options.sourceMapPublicPath,
            test: /\.js$/,
        },
    ]);
    return neutrino;
});
exports.javaScriptSourceMap = utils_1.createMiddlewareFactory(options => {
    const shouldGenerateSourceMap = ramda_1.compose(utils_1.production(options), ramda_1.partial(ramda_1.identity, [options.generateSourceMap]));
    return ramda_1.when(shouldGenerateSourceMap, exports.sourceMapPlugin(options));
});
//# sourceMappingURL=sourceMap.js.map