"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const environment_1 = require("../../../environment");
const utils_1 = require("../utils");
exports.optimization = utils_1.createMiddlewareFactory(opts => {
    const options = {
        codeSplitting: false,
        ...opts,
    };
    const splitChunks = options.codeSplitting
        ? {
            chunks: 'all',
            name: false,
        }
        : false;
    return neutrino => {
        neutrino.config.optimization.merge({
            minimize: environment_1.isProduction(options.env),
            runtimeChunk: options.codeSplitting,
            splitChunks,
        });
        return neutrino;
    };
});
//# sourceMappingURL=optimization.js.map