"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const workbox_webpack_plugin_1 = __importDefault(require("workbox-webpack-plugin"));
const utils_1 = require("../utils");
const serviceWorkerPlugin = utils_1.createMiddlewareFactory(options => {
    const config = {
        clientsClaim: true,
        exclude: [/\.map$/, /asset-manifest\.json$/],
        importWorkboxFrom: 'cdn',
        navigateFallback: `${options.publicUrl}/index.html`,
        navigateFallbackBlacklist: [
            // Exclude URLs starting with /_, as they're likely an API call
            new RegExp('^/_'),
            // Exclude URLs containing a dot, as they're likely a resource in
            // public/ and not a SPA route
            new RegExp('/[^/]+\\.[^/]+$'),
        ],
    };
    return neutrino => {
        neutrino.config
            .plugin('pwa')
            .use(workbox_webpack_plugin_1.default.GenerateSW, [config]);
        return neutrino;
    };
});
exports.pwa = utils_1.createMiddlewareFactory(options => ramda_1.when(utils_1.production(options), serviceWorkerPlugin(options)));
//# sourceMappingURL=pwa.js.map