"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const getCSSModuleLocalIdent_1 = __importDefault(require("react-dev-utils/getCSSModuleLocalIdent"));
const utils_1 = require("../../utils");
const utils_2 = require("./utils");
const CSS_REGEX = /\.css$/;
const CSS_NAME = 'css';
const CSS_MODULE_REGEX = /\.module\.css$/;
const CSS_MODULE_NAME = 'cssModule';
exports.css = utils_1.createMiddlewareFactory(options => ramda_1.compose(utils_2.injectStyleLoaders({
    ...options,
    importLoaders: 1,
    loaderName: CSS_NAME,
}), utils_2.createStyleRule({
    exclude: CSS_MODULE_REGEX,
    loaderName: CSS_NAME,
    test: CSS_REGEX,
})));
exports.cssModule = utils_1.createMiddlewareFactory(options => ramda_1.compose(utils_2.injectStyleLoaders({
    ...options,
    getLocalIdent: getCSSModuleLocalIdent_1.default,
    importLoaders: 1,
    loaderName: CSS_MODULE_NAME,
    modules: true,
}), utils_2.createStyleRule({
    loaderName: CSS_MODULE_NAME,
    test: CSS_MODULE_REGEX,
})));
//# sourceMappingURL=css.js.map