"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const utils_1 = require("../../utils");
const allowedCssOptions = ramda_1.pick(['importLoaders', 'modules', 'getLocalIdent']);
exports.cssLoader = utils_1.createMiddlewareFactory(options => neutrino => {
    const cssOptions = allowedCssOptions(options);
    neutrino.config.module
        .rule('compile')
        .oneOf(options.loaderName)
        .use('css')
        .loader(require.resolve('css-loader'))
        .options({
        ...cssOptions,
        sourceMap: utils_1.sourceMap(options),
    });
    return neutrino;
});
//# sourceMappingURL=cssLoader.js.map