"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mini_css_extract_plugin_1 = __importDefault(require("mini-css-extract-plugin"));
const ramda_1 = require("ramda");
const utils_1 = require("../../utils");
const extractCssPlugin = utils_1.createMiddleware(neutrino => {
    neutrino.config.plugin('cssExtract').use(mini_css_extract_plugin_1.default, [
        {
            chunkFilename: `static/css/[name].chunk.css`,
            filename: `static/css/[name].css`,
        },
    ]);
    return neutrino;
});
exports.extractCss = utils_1.createMiddlewareFactory(options => ramda_1.when(utils_1.production(options), extractCssPlugin));
exports.cssExtractLoader = utils_1.createMiddlewareFactory(options => {
    // Some apps do not use client-side routing with pushState.
    // For these, "homepage" can be set to "." to enable relative asset paths.
    const shouldUseRelativeAssetPaths = options.publicPath === './';
    const loaderOptions = shouldUseRelativeAssetPaths
        ? { publicPath: '../../' }
        : {};
    return neutrino => {
        neutrino.config.module
            .rule('compile')
            .oneOf(options.loaderName)
            .use('miniCssExtract')
            .loader(mini_css_extract_plugin_1.default.loader)
            .options(loaderOptions);
        return neutrino;
    };
});
//# sourceMappingURL=extractCss.js.map