"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const utils_1 = require("../../utils");
const css_1 = require("./css");
const extractCss_1 = require("./extractCss");
const optimizeCss_1 = require("./optimizeCss");
const sass_1 = require("./sass");
exports.styles = utils_1.createMiddlewareFactory(opts => {
    const options = {
        generateSourceMap: true,
        ...opts,
    };
    return ramda_1.compose(extractCss_1.extractCss(options), optimizeCss_1.optimizeCss(options), sass_1.sassModule(options), sass_1.sass(options), css_1.cssModule(options), css_1.css(options));
});
//# sourceMappingURL=index.js.map