"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const optimize_css_assets_webpack_plugin_1 = __importDefault(require("optimize-css-assets-webpack-plugin"));
const postcss_safe_parser_1 = __importDefault(require("postcss-safe-parser"));
const ramda_1 = require("ramda");
const utils_1 = require("../../utils");
const optimizeCssPlugin = utils_1.createMiddlewareFactory(options => neutrino => {
    neutrino.config.optimization.minimizer('css').use(optimize_css_assets_webpack_plugin_1.default, [
        {
            cssProcessorOptions: {
                map: options.generateSourceMap
                    ? {
                        // `annotation: true` appends the sourceMappingURL to the end of
                        // the css file, helping the browser find the sourcemap
                        annotation: true,
                        // `inline: false` forces the sourcemap to be output into a
                        // separate file
                        inline: false,
                    }
                    : false,
                parser: postcss_safe_parser_1.default,
            },
        },
    ]);
    return neutrino;
});
exports.optimizeCss = utils_1.createMiddlewareFactory(options => ramda_1.when(utils_1.production(options), optimizeCssPlugin(options)));
//# sourceMappingURL=optimizeCss.js.map