"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const postcss_flexbugs_fixes_1 = __importDefault(require("postcss-flexbugs-fixes"));
const postcss_preset_env_1 = __importDefault(require("postcss-preset-env"));
const utils_1 = require("../../utils");
const BROWSER_LIST = [
    'last 2 chrome versions',
    'last 2 firefox versions',
    'last 2 safari versions',
    'last 2 edge versions',
    'ie 11',
];
exports.postCss = utils_1.createMiddlewareFactory(options => neutrino => {
    neutrino.config.module
        .rule('compile')
        .oneOf(options.loaderName)
        .use('postcss')
        .loader(require.resolve('postcss-loader'))
        .options({
        // Necessary for external CSS imports to work
        // https://github.com/facebook/create-react-app/issues/2677
        ident: 'postcss',
        plugins: () => [
            postcss_flexbugs_fixes_1.default,
            postcss_preset_env_1.default({
                autoprefixer: {
                    flexbox: 'no-2009',
                },
                browserlist: options.browserlist || BROWSER_LIST,
                stage: 0,
            }),
        ],
        sourceMap: utils_1.sourceMap(options),
    });
    return neutrino;
});
//# sourceMappingURL=postcss.js.map