"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const getCSSModuleLocalIdent_1 = __importDefault(require("react-dev-utils/getCSSModuleLocalIdent"));
const utils_1 = require("../../utils");
const sassLoader_1 = require("./sassLoader");
const utils_2 = require("./utils");
const SASS_REGEX = /\.(scss|sass)$/;
const SASS_LOADER_NAME = 'sass';
const SASS_MODULE_REGEX = /\.module\.(scss|sass)$/;
const SASS_MODULE_LOADER_NAME = 'sassModule';
exports.sassModule = utils_1.createMiddlewareFactory(options => ramda_1.compose(sassLoader_1.sassLoader({
    ...options,
    loaderName: SASS_MODULE_LOADER_NAME,
}), utils_2.injectStyleLoaders({
    ...options,
    getLocalIdent: getCSSModuleLocalIdent_1.default,
    importLoaders: 2,
    loaderName: SASS_MODULE_LOADER_NAME,
    modules: true,
}), utils_2.createStyleRule({
    loaderName: SASS_MODULE_LOADER_NAME,
    test: SASS_MODULE_REGEX,
})));
exports.sass = utils_1.createMiddlewareFactory(options => ramda_1.compose(sassLoader_1.sassLoader({
    ...options,
    loaderName: SASS_LOADER_NAME,
}), utils_2.injectStyleLoaders({
    ...options,
    importLoaders: 2,
    loaderName: SASS_LOADER_NAME,
}), utils_2.createStyleRule({
    exclude: SASS_MODULE_REGEX,
    loaderName: SASS_LOADER_NAME,
    test: SASS_REGEX,
})));
//# sourceMappingURL=sass.js.map