"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
const cssLoader_1 = require("./cssLoader");
const postcss_1 = require("./postcss");
const style_1 = require("./style");
exports.createStyleRule = (options) => (neutrino) => {
    neutrino.config.module
        .rule('compile')
        .oneOf(options.loaderName)
        .test(options.test)
        // Don't consider CSS imports dead code even if the
        // containing package claims to have no side effects.
        // Remove this when webpack adds a warning or an error for this.
        // See https://github.com/webpack/webpack/issues/6571
        .sideEffects(true)
        .when(!!options.exclude, (config) => config.exclude.add(options.exclude));
    return neutrino;
};
exports.injectStyleLoaders = (options) => ramda_1.compose(postcss_1.postCss(options), cssLoader_1.cssLoader(options), style_1.style(options));
//# sourceMappingURL=utils.js.map